Subject: Re: Git and tagging hook

From: Kristis Makris <[email-masked]>
Date: Tue, 07 Oct 2008 10:13:33 -0700

But the post-receive is NOT executed when I apply a tag.

I want the integration when I apply the tag to a local repository, NOT
only when I push/pull.

On Mon, 2008-10-06 at 09:17 +0200, Andreas Ericsson wrote:
> Kristis Makris wrote:
> > Hello,
> > 
> > It seems that Git (at least v1.5.6) does not offer hooks on tag creation
> > (a pre-tag and a post-tag hook). I need such a hook for integrating tag
> > activities with an issue-tracker. Is it possible to add this hook ?
> > 
> 
> What you want is probably the post-receive or 'update' hooks on whatever
> repository you consider your public watering hole for your project.
> Integrating with an issue-tracker from the developers machine would be
> utterly stupid, as it would prevent tagging from happening while not
> connected.
>